package bloat

import "encoding/xml"

/*
types to decode:
	.phish (identity)
	.bivouac (decisions)
	.cicada (indexes/feeds)
	.crew (groups)
	.mores (rules)

*/

func (b *Bloat[T]) Unmarshal(plain []byte) (T, error) {
	err := xml.Unmarshal(plain, b.Obj)
	return b.Obj, err
}
